<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="EmpTest_ztb18326:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="7fc8f775-6ad0-43e6-9ded-80aba9b88c80" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="@localhost" type="feb32156:DbDataSourceImpl" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="@localhost" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="@localhost" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
        <item name="emp: schema" type="76f4a085:MysqlImplModel$Schema" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="@localhost" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
        <item name="emp: schema" type="76f4a085:MysqlImplModel$Schema" />
        <item name="employee: table" type="285a2a93:MysqlImplModel$Table" />
      </path>
    </expand>
    <select />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Jsp File" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="C:/apache-maven-3.6.3" />
        <option name="userSettingsFile" value="C:\apache-maven-3.6.3\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectId" id="1m8TtTMLPjaQx2IX6i3b2mlQCmb" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="mysql" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/main/resources" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.import" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Administrator\IdeaProjects\EmpTest_ztb18326\src\main\resources" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="Tomcat 8.5.28" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.28" ALTERNATIVE_JRE_ENABLED="false" nameIsGenerated="true">
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="EmpTest_ztb18326:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_EmpTest_ztb18326" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="50116" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="EmpTest_ztb18326:war exploded" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand>
              <path>
                <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
                <item name="Tomcat Server" type="7427dc5b:ServiceModel$ServiceGroupNode" />
              </path>
              <path>
                <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
                <item name="root:@localhost" type="7427dc5b:ServiceModel$ServiceGroupNode" />
              </path>
            </expand>
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7fc8f775-6ad0-43e6-9ded-80aba9b88c80" name="Default Changelist" comment="" />
      <created>1608874432542</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1608874432542</updated>
      <workItem from="1608874435803" duration="4178000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="WindowStateProjectService">
    <state x="392" y="87" key="#SQL_Dialects" timestamp="1608877974959">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="392" y="87" key="#SQL_Dialects/0.0.1600.860@0.0.1600.860" timestamp="1608877974959" />
    <state x="508" y="87" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1608876602357">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="508" y="87" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1600.860@0.0.1600.860" timestamp="1608876602357" />
    <state x="953" y="130" key="#com.intellij.ide.util.MemberChooser" timestamp="1608874959423">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="953" y="130" key="#com.intellij.ide.util.MemberChooser/0.0.1600.860@0.0.1600.860" timestamp="1608874959423" />
    <state x="930" y="204" key="#com.intellij.ide.util.PackageChooserDialog" timestamp="1608874868108">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="930" y="204" key="#com.intellij.ide.util.PackageChooserDialog/0.0.1600.860@0.0.1600.860" timestamp="1608874868108" />
    <state x="954" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1608875135051">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="954" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/0.0.1600.860@0.0.1600.860" timestamp="1608875135051" />
    <state width="1068" height="218" key="GridCell.Tab.0.bottom" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.0.bottom/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.0.center" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.0.center/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.0.left" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.0.left/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.0.right" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.0.right/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.1.bottom" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.1.bottom/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.1.center" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.1.center/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.1.left" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.1.left/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.1.right" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.1.right/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.2.bottom" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.2.bottom/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.2.center" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.2.center/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.2.left" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.2.left/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state width="1068" height="218" key="GridCell.Tab.2.right" timestamp="1608878637144">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state width="1068" height="218" key="GridCell.Tab.2.right/0.0.1600.860@0.0.1600.860" timestamp="1608878637144" />
    <state x="602" y="61" key="SettingsEditor" timestamp="1608875748284">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="602" y="61" key="SettingsEditor/0.0.1600.860@0.0.1600.860" timestamp="1608875748284" />
    <state x="838" y="68" width="646" height="723" key="com.intellij.database.view.ui.AbstractDbRefactoringDialog" timestamp="1608876952304">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="838" y="68" width="646" height="723" key="com.intellij.database.view.ui.AbstractDbRefactoringDialog/0.0.1600.860@0.0.1600.860" timestamp="1608876952304" />
    <state x="1056" y="175" key="com.intellij.database.view.ui.DbObjectDialog" timestamp="1608874524549">
      <screen x="0" y="0" width="1600" height="860" />
    </state>
    <state x="1056" y="175" key="com.intellij.database.view.ui.DbObjectDialog/0.0.1600.860@0.0.1600.860" timestamp="1608874524549" />
  </component>
</project>